(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/common/http')) :
    typeof define === 'function' && define.amd ? define('ng-button-lib', ['exports', '@angular/core', '@angular/common/http'], factory) :
    (global = global || self, factory(global['ng-button-lib'] = {}, global.ng.core, global.ng.common.http));
}(this, (function (exports, core, http) { 'use strict';

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/ng-lib.service.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NgLibService = /** @class */ (function () {
        function NgLibService() {
        }
        NgLibService.decorators = [
            { type: core.Injectable, args: [{
                        providedIn: 'root'
                    },] }
        ];
        /** @nocollapse */
        NgLibService.ctorParameters = function () { return []; };
        /** @nocollapse */ NgLibService.ngInjectableDef = core.ɵɵdefineInjectable({ factory: function NgLibService_Factory() { return new NgLibService(); }, token: NgLibService, providedIn: "root" });
        return NgLibService;
    }());
    /**
     * @record
     */
    function NgLibConfig() { }
    if (false) {
        /** @type {?} */
        NgLibConfig.prototype.dataUrl;
    }
    /** @type {?} */
    var NgLibConfigService = new core.InjectionToken('TestLibConfig');

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/data.service.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    // import { NgLibConfigService } from '../public-api';
    var DataService = /** @class */ (function () {
        function DataService(http) {
            this.http = http;
        }
        /**
         * @return {?}
         */
        DataService.prototype.getData = /**
         * @return {?}
         */
        function () {
            // return this.http.get(this.config.dataUrl);
        };
        DataService.decorators = [
            { type: core.Injectable, args: [{
                        providedIn: 'root'
                    },] }
        ];
        /** @nocollapse */
        DataService.ctorParameters = function () { return [
            { type: http.HttpClient }
        ]; };
        /** @nocollapse */ DataService.ngInjectableDef = core.ɵɵdefineInjectable({ factory: function DataService_Factory() { return new DataService(core.ɵɵinject(http.HttpClient)); }, token: DataService, providedIn: "root" });
        return DataService;
    }());
    if (false) {
        /**
         * @type {?}
         * @private
         */
        DataService.prototype.http;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/ng-lib.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NgLibComponent = /** @class */ (function () {
        function NgLibComponent(dataService) {
            this.dataService = dataService;
        }
        /**
         * @return {?}
         */
        NgLibComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            // this.dataService.getData().subscribe(console.log);
        };
        NgLibComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'ff-asset-ng-lib',
                        template: "\n    <p>\n      ng-lib works!\n    </p>\n  "
                    }] }
        ];
        /** @nocollapse */
        NgLibComponent.ctorParameters = function () { return [
            { type: DataService }
        ]; };
        return NgLibComponent;
    }());
    if (false) {
        /**
         * @type {?}
         * @private
         */
        NgLibComponent.prototype.dataService;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/button/button.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ButtonComponent = /** @class */ (function () {
        function ButtonComponent() {
        }
        /**
         * @return {?}
         */
        ButtonComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
        };
        ButtonComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'ff-asset-button',
                        template: "<p>button works!</p>\n",
                        styles: [""]
                    }] }
        ];
        /** @nocollapse */
        ButtonComponent.ctorParameters = function () { return []; };
        return ButtonComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/ng-lib.module.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var NgLibModule = /** @class */ (function () {
        function NgLibModule() {
        }
        NgLibModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [NgLibComponent, ButtonComponent],
                        imports: [
                            http.HttpClientModule
                        ],
                        exports: [NgLibComponent, ButtonComponent]
                    },] }
        ];
        return NgLibModule;
    }());

    exports.ButtonComponent = ButtonComponent;
    exports.NgLibComponent = NgLibComponent;
    exports.NgLibConfigService = NgLibConfigService;
    exports.NgLibModule = NgLibModule;
    exports.NgLibService = NgLibService;
    exports.ɵa = DataService;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=ng-button-lib.umd.js.map
