import { Injectable, ɵɵdefineInjectable, InjectionToken, ɵɵinject, Component, NgModule } from '@angular/core';
import { HttpClient, HttpClientModule } from '@angular/common/http';

/**
 * @fileoverview added by tsickle
 * Generated from: lib/ng-lib.service.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NgLibService {
    constructor() { }
}
NgLibService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
/** @nocollapse */
NgLibService.ctorParameters = () => [];
/** @nocollapse */ NgLibService.ngInjectableDef = ɵɵdefineInjectable({ factory: function NgLibService_Factory() { return new NgLibService(); }, token: NgLibService, providedIn: "root" });
/**
 * @record
 */
function NgLibConfig() { }
if (false) {
    /** @type {?} */
    NgLibConfig.prototype.dataUrl;
}
/** @type {?} */
const NgLibConfigService = new InjectionToken('TestLibConfig');

/**
 * @fileoverview added by tsickle
 * Generated from: lib/data.service.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
// import { NgLibConfigService } from '../public-api';
class DataService {
    /**
     * @param {?} http
     */
    constructor(http) {
        this.http = http;
    }
    /**
     * @return {?}
     */
    getData() {
        // return this.http.get(this.config.dataUrl);
    }
}
DataService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
/** @nocollapse */
DataService.ctorParameters = () => [
    { type: HttpClient }
];
/** @nocollapse */ DataService.ngInjectableDef = ɵɵdefineInjectable({ factory: function DataService_Factory() { return new DataService(ɵɵinject(HttpClient)); }, token: DataService, providedIn: "root" });
if (false) {
    /**
     * @type {?}
     * @private
     */
    DataService.prototype.http;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/ng-lib.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NgLibComponent {
    /**
     * @param {?} dataService
     */
    constructor(dataService) {
        this.dataService = dataService;
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        // this.dataService.getData().subscribe(console.log);
    }
}
NgLibComponent.decorators = [
    { type: Component, args: [{
                selector: 'ff-asset-ng-lib',
                template: `
    <p>
      ng-lib works!
    </p>
  `
            }] }
];
/** @nocollapse */
NgLibComponent.ctorParameters = () => [
    { type: DataService }
];
if (false) {
    /**
     * @type {?}
     * @private
     */
    NgLibComponent.prototype.dataService;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/button/button.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class ButtonComponent {
    constructor() { }
    /**
     * @return {?}
     */
    ngOnInit() {
    }
}
ButtonComponent.decorators = [
    { type: Component, args: [{
                selector: 'ff-asset-button',
                template: "<p>button works!</p>\n",
                styles: [""]
            }] }
];
/** @nocollapse */
ButtonComponent.ctorParameters = () => [];

/**
 * @fileoverview added by tsickle
 * Generated from: lib/ng-lib.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NgLibModule {
}
NgLibModule.decorators = [
    { type: NgModule, args: [{
                declarations: [NgLibComponent, ButtonComponent],
                imports: [
                    HttpClientModule
                ],
                exports: [NgLibComponent, ButtonComponent]
            },] }
];

/**
 * @fileoverview added by tsickle
 * Generated from: public-api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: ng-button-lib.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { ButtonComponent, NgLibComponent, NgLibConfigService, NgLibModule, NgLibService, DataService as ɵa };
//# sourceMappingURL=ng-button-lib.js.map
