import { Injectable, ɵɵdefineInjectable, InjectionToken, ɵɵinject, Component, NgModule } from '@angular/core';
import { HttpClient, HttpClientModule } from '@angular/common/http';

/**
 * @fileoverview added by tsickle
 * Generated from: lib/ng-lib.service.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NgLibService = /** @class */ (function () {
    function NgLibService() {
    }
    NgLibService.decorators = [
        { type: Injectable, args: [{
                    providedIn: 'root'
                },] }
    ];
    /** @nocollapse */
    NgLibService.ctorParameters = function () { return []; };
    /** @nocollapse */ NgLibService.ngInjectableDef = ɵɵdefineInjectable({ factory: function NgLibService_Factory() { return new NgLibService(); }, token: NgLibService, providedIn: "root" });
    return NgLibService;
}());
/**
 * @record
 */
function NgLibConfig() { }
if (false) {
    /** @type {?} */
    NgLibConfig.prototype.dataUrl;
}
/** @type {?} */
var NgLibConfigService = new InjectionToken('TestLibConfig');

/**
 * @fileoverview added by tsickle
 * Generated from: lib/data.service.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
// import { NgLibConfigService } from '../public-api';
var DataService = /** @class */ (function () {
    function DataService(http) {
        this.http = http;
    }
    /**
     * @return {?}
     */
    DataService.prototype.getData = /**
     * @return {?}
     */
    function () {
        // return this.http.get(this.config.dataUrl);
    };
    DataService.decorators = [
        { type: Injectable, args: [{
                    providedIn: 'root'
                },] }
    ];
    /** @nocollapse */
    DataService.ctorParameters = function () { return [
        { type: HttpClient }
    ]; };
    /** @nocollapse */ DataService.ngInjectableDef = ɵɵdefineInjectable({ factory: function DataService_Factory() { return new DataService(ɵɵinject(HttpClient)); }, token: DataService, providedIn: "root" });
    return DataService;
}());
if (false) {
    /**
     * @type {?}
     * @private
     */
    DataService.prototype.http;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/ng-lib.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NgLibComponent = /** @class */ (function () {
    function NgLibComponent(dataService) {
        this.dataService = dataService;
    }
    /**
     * @return {?}
     */
    NgLibComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
        // this.dataService.getData().subscribe(console.log);
    };
    NgLibComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ff-asset-ng-lib',
                    template: "\n    <p>\n      ng-lib works!\n    </p>\n  "
                }] }
    ];
    /** @nocollapse */
    NgLibComponent.ctorParameters = function () { return [
        { type: DataService }
    ]; };
    return NgLibComponent;
}());
if (false) {
    /**
     * @type {?}
     * @private
     */
    NgLibComponent.prototype.dataService;
}

/**
 * @fileoverview added by tsickle
 * Generated from: lib/button/button.component.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var ButtonComponent = /** @class */ (function () {
    function ButtonComponent() {
    }
    /**
     * @return {?}
     */
    ButtonComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
    };
    ButtonComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ff-asset-button',
                    template: "<p>button works!</p>\n",
                    styles: [""]
                }] }
    ];
    /** @nocollapse */
    ButtonComponent.ctorParameters = function () { return []; };
    return ButtonComponent;
}());

/**
 * @fileoverview added by tsickle
 * Generated from: lib/ng-lib.module.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var NgLibModule = /** @class */ (function () {
    function NgLibModule() {
    }
    NgLibModule.decorators = [
        { type: NgModule, args: [{
                    declarations: [NgLibComponent, ButtonComponent],
                    imports: [
                        HttpClientModule
                    ],
                    exports: [NgLibComponent, ButtonComponent]
                },] }
    ];
    return NgLibModule;
}());

/**
 * @fileoverview added by tsickle
 * Generated from: public-api.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * Generated from: ng-button-lib.ts
 * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { ButtonComponent, NgLibComponent, NgLibConfigService, NgLibModule, NgLibService, DataService as ɵa };
//# sourceMappingURL=ng-button-lib.js.map
